Bug 208907 - [exp-run] security/libgcrypt: Update to 1.7.0
Summary: [exp-run] security/libgcrypt: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL: https://reviews.freebsd.org/D5989
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-18 20:05 UTC by Carlos J. Puga Medina
Modified: 2016-06-20 11:11 UTC (History)
2 users (show)

See Also:
cpm: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-04-18 20:05:07 UTC
- Update to 1.7.0
- Sort CONFIGURE_ARGS in Makefile
- Remove unneeded patches (applied upstream).
- Fix build on 9.x
- Fix pkg-plist

Changelog: https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000386.html
Comment 1 Antoine Brodin freebsd_committer 2016-04-23 09:14:55 UTC
Exp-run looks good.
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-04-23 09:46:35 UTC
(In reply to Antoine Brodin from comment #1)

Thanks, Antoine :)
Comment 3 commit-hook freebsd_committer 2016-04-23 10:01:39 UTC
A commit references this bug:

Author: cpm
Date: Sat Apr 23 10:01:21 UTC 2016
New revision: 413860
URL: https://svnweb.freebsd.org/changeset/ports/413860

Log:
  - Update to 1.7.0
  - Remove unneeded patches (applied upstream)
  - Fix inline assembler error on 9.x
  - Fix pkg-plist

  Changelog: https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000386.html

  PR:		208907
  Approved by:	junovitch (mentor)
  Exp-run:	antoine
  Differential Revision:	D5989

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/files/patch-cipher_crc-intel-pclmul.c
  head/security/libgcrypt/files/patch-cipher_salsa20.c
  head/security/libgcrypt/files/patch-mpi_longlong.h
  head/security/libgcrypt/files/patch-src_gcrypt.h.in
  head/security/libgcrypt/pkg-plist
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-04-23 10:02:15 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-06-20 11:11:36 UTC
A commit references this bug:

Author: cpm
Date: Mon Jun 20 11:11:10 UTC 2016
New revision: 417151
URL: https://svnweb.freebsd.org/changeset/ports/417151

Log:
  MFH: r413860 r417040

  - Update to 1.7.0
  - Remove unneeded patches (applied upstream)
  - Fix inline assembler error on 9.x
  - Fix pkg-plist

  Changelog: https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000386.html

  PR:		208907
  Approved by:	junovitch (mentor)
  Exp-run:	antoine
  Differential Revision:	D5989

  - Update to 1.7.1
  - Remove unneeded patch (applied upstream)
  - Convert to new test framework

    https://lists.gnupg.org/pipermail/gnupg-announce/2016q2/000389.html

  PR:		210328
  Reviewed by:	amdmi3, junovitch (mentors)
  Approved by:	amdmi3, junovitch (mentors)
  Exp-run:	antoine
  Differential Revision:	D6865

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/security/libgcrypt/Makefile
  branches/2016Q2/security/libgcrypt/distinfo
  branches/2016Q2/security/libgcrypt/files/patch-cipher_salsa20.c
  branches/2016Q2/security/libgcrypt/files/patch-mpi_longlong.h
  branches/2016Q2/security/libgcrypt/files/patch-src_gcrypt.h.in
  branches/2016Q2/security/libgcrypt/pkg-plist